Positions & Queries
Get Position
Retrieve details for a specific borrowing position
GET
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve details for a specific borrowing position
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/positions/{positionId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"positionId": "pos_001",
"onChainLoanId": "5",
"userAddress": "0xabc...def",
"borrowedAmount": "5000.000000",
"collateralAmount": "100.000000000000000000",
"accumulatedInterest": "12.500000",
"healthFactor": "2.450000000000000000",
"priceAtBorrow": "185.500000",
"status": "active",
"openedAt": "2025-06-10T08:00:00.000Z",
"transactions": []
}
}
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/positions/{positionId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"positionId": "pos_001",
"onChainLoanId": "5",
"userAddress": "0xabc...def",
"borrowedAmount": "5000.000000",
"collateralAmount": "100.000000000000000000",
"accumulatedInterest": "12.500000",
"healthFactor": "2.450000000000000000",
"priceAtBorrow": "185.500000",
"status": "active",
"openedAt": "2025-06-10T08:00:00.000Z",
"transactions": []
}
}
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/positions/{positionId}" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"positionId": "pos_001",
"onChainLoanId": "5",
"userAddress": "0xabc...def",
"borrowedAmount": "5000.000000",
"collateralAmount": "100.000000000000000000",
"accumulatedInterest": "12.500000",
"healthFactor": "2.450000000000000000",
"priceAtBorrow": "185.500000",
"status": "active",
"openedAt": "2025-06-10T08:00:00.000Z",
"transactions": []
}
}
